<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/SymbolLookup/Scopes.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/SymbolLookup/Scopes.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/SymbolLookup/Scopes.hh</b>
<div><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html" target="content">source code</a></div>
<div><a href="../../../FileDetails/Synopsis/SymbolLookup/Scopes.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope">SymbolLookup<br/>
<div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html" target="content" title="(class)">Class</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#Bases" target="content" title="(typedef)">Bases</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#Class_lconst.PTree_mClassSpec_S_cconst.Scope_S_cconst.Bases_A_cconst.TemplateParameterScope_S_r" target="content" title="(member function)">Class</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#my_bases" target="content" title="(data member)">my_bases</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#my_outer" target="content" title="(data member)">my_outer</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#my_parameters" target="content" title="(data member)">my_parameters</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html#my_spec" target="content" title="(data member)">my_spec</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html" target="content" title="(class)">FunctionScope</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#FunctionScope_lconst.PTree_mDeclaration_S_cPrototypeScope_S_cconst.Scope_S_r" target="content" title="(member function)">FunctionScope</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#Using" target="content" title="(typedef)">Using</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_class" target="content" title="(data member)">my_class</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_decl" target="content" title="(data member)">my_decl</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_outer" target="content" title="(data member)">my_outer</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_parameters" target="content" title="(data member)">my_parameters</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#my_using" target="content" title="(data member)">my_using</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html#use_lconst.PTree_mUsingDirective_S_r" target="content" title="(member function)">use</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/LocalScope.html" target="content" title="(class)">LocalScope</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/LocalScope.html#my_node" target="content" title="(data member)">my_node</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/LocalScope.html#my_outer" target="content" title="(data member)">my_outer</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html" target="content" title="(class)">Namespace</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#Namespace_lconst.PTree_mNamespaceSpec_S_cconst.Namespace_S_r" target="content" title="(member function)">Namespace</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#Using" target="content" title="(typedef)">Using</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#find_namespace_lconst.PTree_mNamespaceSpec_S_rconst" target="content" title="(member function)">find_namespace</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#my_outer" target="content" title="(data member)">my_outer</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#my_spec" target="content" title="(data member)">my_spec</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#my_using" target="content" title="(data member)">my_using</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html#unqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_cUsing_A_rconst" target="content" title="(member function)">unqualified_lookup</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" target="content" title="(class)">PrototypeScope</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#FunctionScope" target="content" title="(class)">FunctionScope</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#PrototypeScope_lconst.PTree_mNode_S_cconst.Scope_S_cconst.TemplateParameterScope_S_r" target="content" title="(member function)">PrototypeScope</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#my_decl" target="content" title="(data member)">my_decl</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#my_outer" target="content" title="(data member)">my_outer</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html#my_parameters" target="content" title="(data member)">my_parameters</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" target="content" title="(class)">ScopeVisitor</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lClass_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lFunctionScope_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lLocalScope_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lNamespace_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lPrototypeScope_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#visit_lTemplateParameterScope_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html#_tScopeVisitor_l_r" target="content" title="(member function)">~ScopeVisitor</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" target="content" title="(class)">TemplateParameterScope</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#TemplateParameterScope_lconst.PTree_mList_S_cconst.Scope_S_r" target="content" title="(member function)">TemplateParameterScope</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#accept_lScopeVisitor_S_r" target="content" title="(member function)">accept</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#my_node" target="content" title="(data member)">my_node</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#my_outer" target="content" title="(data member)">my_outer</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#unqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" target="content" title="(member function)">unqualified_lookup</a></div></div>
</div>
</div>

</body>
</html>
